package com.bonus.canteen.core.order.common.service;


import com.bonus.canteen.core.order.common.model.OrderDelivery;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;

public interface OrderDeliveryService {
   OrderDelivery getByOrderId(Long orderId, LocalDate orderDate);

   void deleteByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates);

   void insertList(Collection<OrderDelivery> entityList);

   List<OrderDelivery> listOrderDeliveryByOrderIds(List<Long> orderIds, Collection<LocalDate> orderDates);
}
